Bug 197330

Summary: Web Inspector: DOM: dragging a node to the console should log the node
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: bburg, commit-queue, drousso, inspector-bugzilla-changes, timothy, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch none

Description Devin Rousso 2019-04-26 15:50:19 PDT
.
Comment 1 Devin Rousso 2019-04-27 16:44:58 PDT
Created attachment 368414 [details]
Patch

For some reason, the drop doesn't work on anything that isn't normally editable :(
Comment 2 Timothy Hatcher 2019-05-01 12:37:12 PDT
Comment on attachment 368414 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=368414&action=review

> Source/WebInspectorUI/UserInterface/Views/LogContentView.js:636
> +                let text = domNode.nodeType() === Node.ELEMENT_NODE ? WI.UIString("Selected Element") : WI.UIString("Selected Node");

"Selected Node/Element" => "Dropped Node/Element"?

> Source/WebInspectorUI/UserInterface/Views/QuickConsole.js:189
> +                let text = domNode.nodeType() === Node.ELEMENT_NODE ? WI.UIString("Selected Element") : WI.UIString("Selected Node");

Ditto.
Comment 3 Devin Rousso 2019-05-03 19:05:06 PDT
Created attachment 369035 [details]
Patch
Comment 4 WebKit Commit Bot 2019-05-03 19:45:13 PDT
Comment on attachment 369035 [details]
Patch

Clearing flags on attachment: 369035

Committed r244946: <https://trac.webkit.org/changeset/244946>
Comment 5 WebKit Commit Bot 2019-05-03 19:45:15 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-05-03 19:46:24 PDT
<rdar://problem/50465496>